"use strict" ;

function makeHeadingNav() {
  var n = document.getElementById("main-nav-headings") ;
  if(n) {
    n.remove()
    return ;
  }

  var mainNav = document.getElementById("main-nav") ;
  var nav = document.createElement("div") ;
  nav.setAttribute("class", "headings") ;
  nav.setAttribute("id", "main-nav-headings") ;
  var hs = document.querySelectorAll("h1, h2, h3, h4, h5, h6") ;
  if ( hs.length == 0 ) {
    return
  }
  hs.forEach((h) => {
    var el = document.createElement("a") ;
    el.setAttribute("class", h.tagName) ;
    el.setAttribute("href", "#"+ h.id)
    el.innerHTML = h.innerHTML ;
    nav.appendChild(el) ;
  });

  mainNav.appendChild(nav) ;
}

document.addEventListener(
  "DOMContentLoaded",
  function(){
    document.getElementById("create-heading-nav-btn").
    addEventListener("click", ()=>{
        makeHeadingNav()
    });
    document.getElementById("top-btn").
    addEventListener("click", ()=>{
      window.scrollTo({top: 0, behaviour: "smooth"});
    });
  },
);

